//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "PictureCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

VWPictureCtrl::VWPictureCtrl(TControlID id)
: VWControl( id )
{
}

VWPictureCtrl::~VWPictureCtrl()
{
}

bool VWPictureCtrl::CreateControl(VWDialog* pDlg, long picID)
{
	::GS_CreateControl( gCBP, pDlg->GetControlID(), fControlID, kPictureControl, (unsigned char*)"", picID );
	return VWControl::CreateControl( pDlg );
}

void VWPictureCtrl::SetPictRSRCID(long picID)
{
	::GS_SetControlData( gCBP, fpParentDlg->GetControlID(), fControlID, picID );
}
